// i2c_scanner - 7 bit
// Sample code written by Henrik Bruun http://567.dk arduino@567.dk

// Need to work on  8-bit, and 10-bit I2C Slave Addressing
// But don´t have any devices.
#include <Wire.h>

void setup()
 {
   Wire.begin();
   Serial.begin(115200);
   Serial.println("\nI2C Scanner initilizing");
 }
 
void loop()
 {
   byte error, address;
   int nDevices;
   Serial.println("I2C Scanner");
   Serial.println("Scanning...");
 
  nDevices = 0;
   for(address = 1; address < 127; address++ ) 
  {
     Wire.beginTransmission(address);
     error = Wire.endTransmission();
 
    if (error == 0)
     {
       Serial.print("I2C device found at address 0x");
       if (address<16) Serial.print("0");
       Serial.print(address,HEX);
       Serial.println("  !");
 
      nDevices++;
     }
     else if (error==4) 
    {
       Serial.print("Unknow error at address 0x");
       if (address<16) 
        Serial.print("0");
       Serial.println(address,HEX);
     }    
   }
   if (nDevices == 0)
     Serial.println("No I2C devices found\n");
   else
     Serial.print(nDevices);
     Serial.println(" device(s) - - done\n");
  delay(10000);           // wait 10 seconds for next scan
 }


